org.glassfish.jersey.server

## Annotation Type JSONP

    @Target(value=METHOD)
     @Retention(value=RUNTIME)
     @Documented
    public @interface JSONP

Annotation can be used to define the JavaScript callback function name if the valid JSONP format is requested as an acceptable `media type` of this request. At the moment only resource methods are supported to be annotated with this annotation.

The acceptable JavaScript media types for JSONP compatible with this annotation are:

- application/x-javascript
- application/javascript
- application/ecmascript
- text/javascript
- text/x-javascript
- text/ecmascript
- text/jscript

Note: Determining the JavaScript callback function name from a query parameter (`queryParam()`) takes precedence over the `callback()` value.

Author:
  Michal Gajdos

### Field Summary

Fields
`static String` `DEFAULT_CALLBACK` Default JavaScript callback function name.
`static String` `DEFAULT_QUERY` Default query parameter name to obtain the JavaScript callback function name from.

### Optional Element Summary

Optional Elements
`String` `callback` Name of the JavaScript callback function to which the JSON result should be wrapped into.
`String` `queryParam` If set then the JavaScript callback function name is obtained from a query parameter with the given name.

### Field Detail

#### DEFAULT_CALLBACK

    public static final String DEFAULT_CALLBACK

Default JavaScript callback function name.

#### DEFAULT_QUERY

    public static final String DEFAULT_QUERY

Default query parameter name to obtain the JavaScript callback function name from.

### Element Detail

#### callback

    public abstract String callback

Name of the JavaScript callback function to which the JSON result should be wrapped into.

Default:
  "callback"

#### queryParam

    public abstract String queryParam

If set then the JavaScript callback function name is obtained from a query parameter with the given name. If this query parameter is not present in the request then the value of `callback()` property is used as the JavaScript callback function name.

Default:
  ""